<?xml version="1.0"?>
<!DOCTYPE faces-config PUBLIC
  "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN"
  "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">


<faces-config>
	<application>
		<locale-config>
			<default-locale>en_US</default-locale>
		</locale-config>
		<view-handler>com.sun.facelets.FaceletViewHandler</view-handler>
		<message-bundle>
			org.ajax4jsf.message.resources
		</message-bundle>
	</application>
	
	<converter>
  		<converter-id>listShuttleconverter</converter-id>
  		<converter-class>org.ajax4jsf.model.ListShuttleConverter</converter-class>
 	</converter>
 	
 	<validator>
 		<validator-id>validatorWithAttribute</validator-id>
 		<validator-class>org.ajax4jsf.validators.ValidatorWithAttribute</validator-class>
 	</validator>
 	
 	<validator>
 		<validator-id>inplaceInputValidator</validator-id>
 		<validator-class>org.ajax4jsf.validators.InplaceInputValidator</validator-class>
 	</validator>
 	
 	<validator>
 		<validator-id>autoTestValidator</validator-id>
 		<validator-class>org.ajax4jsf.autotest.bean.AutoTestValidator</validator-class>
 	</validator>

 	<validator>
 		<validator-id>autoTestDefaultValidator</validator-id>
 		<validator-class>org.ajax4jsf.autotest.bean.AutoTestDefaultValidator</validator-class>
 	</validator>
	
	<managed-bean>
  		<managed-bean-name>configurator</managed-bean-name>
  		<managed-bean-class>org.ajax4jsf.bean.Configurator</managed-bean-class>
  		<managed-bean-scope>session</managed-bean-scope>
 	</managed-bean>
 
	<managed-bean>
  		<managed-bean-name>messageBean</managed-bean-name>
  		<managed-bean-class>org.ajax4jsf.bean.MessageBean2</managed-bean-class>
  		<managed-bean-scope>session</managed-bean-scope>
 	</managed-bean>
 
	<managed-bean>
		<managed-bean-name>indexBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.IndexBean</managed-bean-class>
		<managed-bean-scope>application</managed-bean-scope>
	</managed-bean>
	
	<!-- queue.xhtml -->
	<managed-bean>
		<managed-bean-name>bean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.Bean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
		<managed-property>
			<property-name>text</property-name>
			<property-class>java.lang.String</property-class>
			<null-value />
		</managed-property>
	</managed-bean>
	
	<managed-bean>
		<managed-bean-name>templateBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.TemplateBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	
	<managed-bean>
		<managed-bean-name>commandBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JCommandTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	
	<managed-bean>
		<managed-bean-name>progressBarBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.ProgressBarTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>panelBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.RichPanelTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>jsFunctionBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.JSFunctionBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
		<managed-bean>
		<managed-bean-name>statusBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JStatusTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>pollBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JPollTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>keepAliveBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JKeepAliveTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>keepAliveAjaxOnlyBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JKeepAliveTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>regionBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JRegionTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>comboBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.ComboBoxTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>ddmenuBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.DropDownMenuTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>contextMenuBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.ContextMenuTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>pickListBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.PickListTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>inplaceSelectBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.InplaceSelectTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>orderingListBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.OrderingListTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>dataTableBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.DataTableBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>sliderBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.InputNumberSliderBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>a4jOutputPanelBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JOutputPanelTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>a4jRepeatBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JRepeatTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>a4jIncludeBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JIncludeTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>a4jMediaBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.MediaBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>calendarBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.CalendarTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
		<managed-property>
			<property-name>model</property-name>
			<property-class>org.ajax4jsf.bean.CalendarDataModel</property-class>
			<value>#{calendarDataModel}</value>
		</managed-property>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>calendarDataModel</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.CalendarDataModel</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>formBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JFormTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
		<managed-bean>
		<managed-bean-name>ajaxListenerBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.AjaxListenerTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>actionParam</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JActionParam</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>ajaxSupport</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JSupport</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>ajaxPushBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.AjaxPushTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>loadBundleBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.LoadBundleTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
  		<managed-bean-name>listShuttle</managed-bean-name>
  		<managed-bean-class>org.ajax4jsf.bean.ListShuttleBean</managed-bean-class>
  		<managed-bean-scope>session</managed-bean-scope>
 	</managed-bean>
 	<managed-bean>
		<managed-bean-name>inplaceInputBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.InplaceInputTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>toolBarBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.ToolBarTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>modalPanelBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.ModalPanelTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>a4jHtmlCommandLinkBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.A4JHTMLCommandLinkTestBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>dataFilterSliderBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.DataFilterSliderBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>validationBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.validation.ValidationBean</managed-bean-class>
		<managed-bean-scope>request</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>dndBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.DnDBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>dataScrollerBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.DataScrollerBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>autoTestBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.autotest.bean.AutoTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>treeBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.tree.TreeTestBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>effectBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.EffectBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<managed-bean>
		<managed-bean-name>editorBean</managed-bean-name>
		<managed-bean-class>org.ajax4jsf.bean.EditorBean</managed-bean-class>
		<managed-bean-scope>session</managed-bean-scope>
	</managed-bean>
	<navigation-rule>
	   <from-view-id>/pages/ajaxInclude/step1.xhtml</from-view-id> 
	    <navigation-case> 
	      <from-outcome>next</from-outcome> 
	      <to-view-id>/pages/ajaxInclude/step2.xhtml</to-view-id> 
	    </navigation-case> 
	 </navigation-rule>  
	 <navigation-rule> 
	   <from-view-id>/pages/ajaxInclude/step2.xhtml</from-view-id> 
	    <navigation-case> 
	      <from-outcome>previous</from-outcome> 
	      <to-view-id>/pages/ajaxInclude/step1.xhtml</to-view-id> 
	    </navigation-case>  
	 </navigation-rule>
</faces-config>